Subject: bug#27372: closed (Re: bug#27372: GRUB 2.02 hangs on pre-UEFI Dell Poweredge 2950)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 22 Sep 2021 10:33:02 +0000

Your bug report

#27372: GRUB 2.02 hangs on pre-UEFI Dell Poweredge 2950

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
27372: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=27372
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#27372: GRUB 2.02 hangs on pre-UEFI Dell Poweredge 2950
From: Ludovic Courtès <[email-masked]>
To: Sarah Morgensen <[email-masked]>
Cc: [email-masked]
Date: Wed, 22 Sep 2021 12:32:21 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Sarah,

Sarah Morgensen <[email-masked]> skribis:

> [email-masked] (Ludovic Courtès) writes:
>
>> Hello,
>>
>> GRUB as found in the 0.13.0 installation image hangs after printing the
>> four letters “GRUB” in console mode on a pre-UEFI Dell Poweredge 2950
>> server (something that’s roughly ten years old.)
>>
>> I built an image where GRUB’s graphical terminal output was disabled:
>>
>>   (grub-configuration
>>     (device "/dev/sda")
>>     (terminal-outputs '(console)))
>>
>> … but that didn’t help.
>>
>> Conversely, Debian’s ‘grub-pc’ 2.02~beta3-5 package doesn’t have this
>> problem.   Debian’s ‘grub.cfg’ prologue is similar to ours so I suspect
>> the problem is in GRUB itself.  Debian has “quite a few” patches for
>> GRUB though:
>> <https://anonscm.debian.org/cgit/pkg-grub/grub.git/tree/debian/patches>.
>>
>> Has anyone experienced this?
>>
>> Thanks,
>> Ludo’.
>
> Given that we're past v1.3.0 now, is this still relevant?

No it’s not; closing!

Thanks,
Ludo’.

Subject: GRUB 2.02 hangs on pre-UEFI Dell Poweredge 2950
From: [email-masked] (Ludovic Courtès)
To: [email-masked]
Date: Thu, 15 Jun 2017 11:18:08 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

GRUB as found in the 0.13.0 installation image hangs after printing the
four letters “GRUB” in console mode on a pre-UEFI Dell Poweredge 2950
server (something that’s roughly ten years old.)

I built an image where GRUB’s graphical terminal output was disabled:

  (grub-configuration
    (device "/dev/sda")
    (terminal-outputs '(console)))

… but that didn’t help.

Conversely, Debian’s ‘grub-pc’ 2.02~beta3-5 package doesn’t have this
problem.   Debian’s ‘grub.cfg’ prologue is similar to ours so I suspect
the problem is in GRUB itself.  Debian has “quite a few” patches for
GRUB though:
<https://anonscm.debian.org/cgit/pkg-grub/grub.git/tree/debian/patches>.

Has anyone experienced this?

Thanks,
Ludo’.